/*
** file: toeplitz_seq.h, version 1.0, May 2012  
**
** Project:  Midapack library, ANR MIDAS'09
** Purpose:  Provide Toeplitz algebra tools suitable for Cosmic Microwave Background (CMB)
**           data analysis.
**
** Authors:  Pierre Cargemel, Frederic Dauvergne, Maude Le Jeune, Antoine Rogier, 
**           Radek Stompor (APC, Paris)
**
** 
** Copyright (c) 2010-2012 APC CNRS Université Paris Diderot
** 
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 3 of the License, or
** (at your option) any later version.
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with this program; if not, see http://www.gnu.org/licenses/gpl.html
**
** For more information about ANR MIDAS'09 project see
** http://www.apc.univ-paris7.fr/APC_CS/Recherche/Adamis/MIDAS09/index.html
** 
** ACKNOWLEDGMENT: This work has been supported in part by the French National 
** Research Agency (ANR) through COSINUS program (project MIDAS no. ANR-09-COSI-009).
**
**
*/


#ifndef         TOEPLITZ_SEQ_H_
#define         TOEPLITZ_SEQ_H_

#include <mpi.h>
#include <fftw3.h>
#include <omp.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>


int stbmm(double **V, int *n, int m, int nrow, double *T, int nb_blocs_local, int nb_blocs_all, int *lambda, int *idv, int idp, int local_V_size);

int gstbmm(double **V, int *n, int m, int nrow, double *T, int nb_blocs_local, int nb_blocs_all, int *lambda, int *idv, int id0p, int local_V_size, int *id0gap, int *lgap, int ngap);



#endif  //   !TOEPLITZ_SEQ_H_
